> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vambe.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new webhook



## OpenAPI

````yaml /openapi.json post /api/webhooks
openapi: 3.0.0
info:
  title: Vambe AI API
  description: Vambe AI documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.vambe.me
    description: Production Server
security: []
tags:
  - name: Vambe AI
    description: ''
paths:
  /api/webhooks:
    post:
      tags:
        - webhooks
      summary: Create a new webhook
      operationId: WebhookController_create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateWebhookDto'
      responses:
        '201':
          description: Webhook created successfully
components:
  schemas:
    CreateWebhookDto:
      type: object
      properties:
        topic:
          type: string
        url:
          type: string
          format: uri
          maxLength: 255
        secret:
          type: string
          maxLength: 255
          nullable: true
        hidden:
          type: boolean
        filters:
          type: object
          properties:
            channelIds:
              type: array
              minItems: 1
              maxItems: 50
              items:
                type: string
                minLength: 1
          nullable: true
        headers:
          type: object
          additionalProperties:
            type: string
            maxLength: 1024
          nullable: true
      required:
        - topic
        - url
        - filters
        - headers

````